Bug 42793 - Installer hangs before IDE partition check
Summary: Installer hangs before IDE partition check
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-30 04:50 UTC by Oliver Schulze L.
Modified: 2007-04-18 16:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 13:04:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oliver Schulze L. 2001-05-30 04:50:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
I have an Asus A7V/Duron 850Mhz and the installer hangs up before the 
partition check.
The last message are:
ide0: ...(IO address) ... IRQ ...
ide1: ...(IO address) ... IRQ ...

If I run the installer on anther machine, the next message after that 
should be the partition check of all the IDE drives. And the partition 
table print on screen.

How reproducible:
Always

Steps to Reproduce:
1.Boot from the RedHat Linux 7.1 CD
2.Wait until the kernel try to check the partition of your IDE drives
	

Actual Results:  The kernel hangs-up. You can to press the RESET button or 
power down your computer to restart

Expected Results:  The kernel should check and determine your partition in 
you PC

Additional info:

This mobo has the Promise ATA-100 controler.
I have one disk conected to this controler.

Comment 1 Arjan van de Ven 2001-05-30 08:08:16 UTC
1) Is the drive connected using a 80 ribbon wire ?
2) Does specifying "ide=nodma" on the syslinux / lilo prompt help ?

Comment 2 Oliver Schulze L. 2001-06-03 08:08:10 UTC
Answers:
1. yes, the promise detect it as ATA-66. Also, I installed the drive. It is
working in Win98.

2. yes, I try the instalation with:
LILO: text ide=nodma
I also try to pass all the IO of the ide and does not work either.

Oliver

Comment 3 Andrew Powell 2001-06-13 01:59:39 UTC
Arjanv,
Would it be fair to say that bug 38390 is also the same problem, and the same 
one that I am experiencing?

Thanks,
AndrewP.



Comment 4 Arjan van de Ven 2001-06-13 10:14:17 UTC
Ok, is it possible to disconnect the drive to the promise array during the
time of installation ?

Comment 5 Oliver Schulze L. 2001-06-15 04:54:47 UTC
OK, Will try that, but I will do that only for the installation, because the PC
is a dual-boot with Win98

Comment 6 Arjan van de Ven 2001-06-15 09:10:58 UTC
Yes, the idea is that then you can use an updated kernel which might have this
fixed!

Comment 7 Arjan van de Ven 2001-06-25 17:53:15 UTC
Last friday we released an updated kernel including a brand new Promise driver.


Comment 8 Oliver Schulze L. 2001-06-26 12:00:10 UTC
Thanks,
I'm downloading the new kernel.
Will the boot.img be updated too?
I see I will have some trouble with /etc/fstab, beacuse the
promise device starts at hde. But I can deal with it.

Oliver

Comment 9 Alan Cox 2003-06-06 13:04:34 UTC
Closed: Inactive



Note You need to log in before you can comment on or make changes to this bug.